#
# sgfonz.rb
#
# $Id: sgtonz.rb,v 1.1 2000/11/21 03:15:36 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


NP = 5
NT = 6
DD = 0.13
DS = 0.005
DX = DD+DS*2
DY = 1.0 / NT

#-- data ---
xbox = NumArray[0.0, 1.0, 1.0, 0.0, 0.0]
ybox = NumArray[0.0, 0.0, 1.0, 1.0, 0.0]

#-- graph ---
iw = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
ifn = (puts ' SOFT FILL=1/HARD FILL=2 (I) ? ;'; gets).to_i

gliset('MAXMSG', 300)
sgopn iw

if (ifn == 1)
  sglset('LSOFTF', true)
else
  sglset('LSOFTF', false)
end

sglset('LFULL', true)
sgiset('INDEX', 3)
slrat(0.85, 1.0)
slmgn(0.0, 0.0, 0.05, 0.1)
slsttl('TEST OF SGTONE', 'T', 0.0, -0.5, 0.03, 1)

for n in 0..6
  sgfrm
  sgswnd(0.0, 1.0, 0.0, 1.0)
  sgstrn(1)
  for j in 0..5
    for i in 0..5
      x1=DX*i+DS+(1-DX*NT)/2
      x2=x1+DD
      y1=DY*(5-j)+DS
      y2=y1+DD
      level=i+j*10+n*100+n*1000
      sgsvpt(x1, x2, y1, y2)
      sgstrf
      chr = format("%5d", level)
      sgtnzu(NP, xbox, ybox, level)
      sgplzu(NP, xbox, ybox, 1, 1)
      sgtxzv(x2, y2+(DY-DD)/2, chr, 0.015, 0, 1, 3)
    end
  end
end

sgcls

